Groovy 1.7.0

## groovy.swing.impl
Class ClosureRenderer

    java.lang.Object
      groovy.swing.impl.ClosureRenderer

All Implemented Interfaces:
  ListCellRenderer

    class ClosureRenderer
    extends Object

author:
  Danno.Ferrin

Field Summary
`List` | `children`
`int` | `column`
`boolean` | `focused`
`JList` | `list`
`int` | `row`
`boolean` | `selected`
`JTable` | `table`
`Closure` | `update`
`Object` | `value`

Constructor Summary
`ClosureRenderer()`
`ClosureRenderer(Closure c)`

Method Summary
`List` | `getChildren()`
`int` | `getColumn()`
`JList` | `getList()`
`Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`int` | `getRow()`
`JTable` | `getTable()`
`Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`Closure` | `getUpdate()`
`Object` | `getValue()`
`boolean` | `isFocused()`
`boolean` | `isSelected()`
`void` | `setUpdate(Closure update)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### children

    List children

### column

    int column

### focused

    boolean focused

### list

    JList list

### row

    int row

### selected

    boolean selected

### table

    JTable table

### update

    Closure update

### value

    Object value

Constructor Detail

### ClosureRenderer

    public ClosureRenderer()

### ClosureRenderer

    public ClosureRenderer(Closure c)

Method Detail

### getChildren

    public List getChildren()

### getColumn

    public int getColumn()

### getList

    public JList getList()

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)

### getRow

    public int getRow()

### getTable

    public JTable getTable()

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)

### getUpdate

    public Closure getUpdate()

### getValue

    public Object getValue()

### isFocused

    public boolean isFocused()

### isSelected

    public boolean isSelected()

### setUpdate

    public void setUpdate(Closure update)

Copyright © 2003-2009 The Codehaus. All rights reserved.